GUPnP AV Changelog

New in version 0.12.7

January 6th, 2015
  • Remove use of deprecated INCLUDES.
  • Fix GUPnPDIDLLiteObject namespace getters.
  • Avoid warnings on missing protocol info.
  • Require vapigen 0.22 to avoid endless loop on VAPI generation.
  • Bugs fixed in this release:
  • https://bugzilla.gnome.org/show_bug.cgi?id=740265
  • https://bugzilla.gnome.org/show_bug.cgi?id=741103
  • https://bugzilla.gnome.org/show_bug.cgi?id=741555
  • https://bugzilla.gnome.org/show_bug.cgi?id=740365

New in version 0.12.5 (February 4th, 2014)

  • Fix name of cleartext-size property.
  • Fix creation of pv namespace in DIDLLite parser.
  • Check for empty mandatory tags in UpdateObject.
  • Bugs fixed in this release:
  • https://bugzilla.gnome.org/show_bug.cgi?id=705522
  • https://bugzilla.gnome.org/show_bug.cgi?id=719377

New in version 0.12.4 (November 22nd, 2013)

  • Add support for pv:subtitleFileUri and pv:subtitleFileType
  • Bugs fixed in this release:
  • https://bugzilla.gnome.org/show_bug.cgi?id=695990

New in version 0.12.3 (October 17th, 2013)

  • Add support for link protection DLNA flags.
  • Fix DLNA.ORG_PS generation.
  • Add res@dlna:cleartextSize attribute.
  • Only use DLNA XML namespace when it's actually used.
  • Add res@dlna:trackTotal attribute.
  • Bugs fixed in this release:
  • https://bugzilla.gnome.org/show_bug.cgi?id=705564
  • https://bugzilla.gnome.org/show_bug.cgi?id=707495
  • https://bugzilla.gnome.org/show_bug.cgi?id=702557
  • https://bugzilla.gnome.org/show_bug.cgi?id=706926
  • https://bugzilla.gnome.org/show_bug.cgi?id=706928

New in version 0.12.2 (May 31st, 2013)

  • Fix VAPI generation if GObject-introspection version is >= 1.36.
  • Fix vala bindings for LastChangeParser.parse_last_change.
  • Small improvement to resource matching.
  • Fix DIDLLiteContainer.get_total_deleted_child_count return value.
  • Fix compiling with -Wall -Werror.
  • Fix gtk-doc warnings.

New in version 0.12.1 (March 19th, 2013)

  • Fix compiler warnings.
  • Update .gitignore.

New in version 0.12.0 (February 20th, 2013)

  • Changes since 0.11.6:
  • Fix implicit dependency on glib 2.32.
  • Explicitly call AM_MAINTAINER_MODE([enable]).

New in version 0.11.6 (December 17th, 2012)

  • Fix an unitialized variable.
  • Fix a wrong use of BAD_CAST.
  • Fix handling of updateID in the CDS LastChange parser.
  • Fix CDS LastChange test.

New in version 0.10.1 (September 15th, 2011)

  • Bump minimum dependency of GUPnP to 0.17.0.